#ifndef _PRIMITIVES_H_
#define _PRIMITIVES_H_


/* ************************************************** */
/** Globals **/
/* ************************************************** */

/*
extern long windowId;
extern pLinetype gsLinetype;
*/


void line (int xa, int ya, int xb, int yb);
void lineDDA (int xa, int ya, int xb, int yb);



/** PHIGS-like graphics primitives **/ 

extern void pPolyline (int npts, wcPt2 *pts);
extern void pPolyline3 (int npts, wcPt3 *pts);
extern void pPolymarker (int npts, wcPt2 *pts);
extern void pFillArea (int npts, wcPt2 *pts);
extern void pText (wcPt2 position, char * outString);
extern void pSetLinetype (pLinetype typ);


/** Other **/
/***********/
extern int round (float x);

#endif



